## ros-rolling-libcurl-vendor 3.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(libcurl_vendor)

option(FORCE_BUILD_VENDOR_PKG
  "Build libcurl from source, even if system-installed package is available"
  OFF)

find_package(ament_cmake REQUIRED)

macro(build_libcurl)
  set(extra_cxx_flags)
  set(extra_c_flags)
  if(NOT WIN32)
    list(APPEND extra_cxx_flags "-std=c++14 -w")
    list(APPEND extra_c_flags "-w")
  endif()

  set(PKGCONFIG_FOR_OPENSSL)
  if(APPLE)
    set(PKGCONFIG_FOR_OPENSSL "/usr/local/opt/openssl/lib/pkgconfig")
  endif()

  if(WIN32 AND NOT ${CMAKE_VERBOSE_MAKEFILE})
    set(should_log ON)  # prevent warnings in Windows CI
  else()
    set(should_log OFF)
  endif()

  include(ExternalProject)
  if(WIN32)
    ExternalProject_Add(curl-7.75.0
      URL https://github.com/curl/curl/releases/download/curl-7_75_0/curl-7.75.0.tar.gz
      URL_MD5 2071994cfc5079d03439915f2751c8bc
      LOG_CONFIGURE ${should_log}
      LOG_BUILD ${should_log}
      CMAKE_ARGS
        -DENABLE_MANUAL=OFF
        -DBUILD_TESTING=OFF
        -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/libcurl_install
        -Wno-dev
      TIMEOUT 600
    )
  else()
    ExternalProject_Add(curl-7.75.0
      URL https://github.com/curl/curl/releases/download/curl-7_75_0/curl-7.75.0.tar.gz
      URL_MD5 2071994cfc5079d03439915f2751c8bc
      CONFIGURE_COMMAND
        <SOURCE_DIR>/configure
        CFLAGS=${extra_c_flags}
        CXXFLAGS=${extra_cxx_flags}
        PKG_CONFIG_PATH=$PKG_CONFIG_PATH:${PKGCONFIG_FOR_OPENSSL}
        --prefix=${CMAKE_CURRENT_BINARY_DIR}/libcurl_install
        --with-ssl
	--without-libpsl
	--without-libidn2
      BUILD_COMMAND $(MAKE)
      INSTALL_COMMAND $(MAKE) install
      TIMEOUT 600
    )
  endif()

  # The external project will install to the build folder, but we'll install that on make install.
  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/libcurl_install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}/opt/libcurl_vendor
  )
endmacro()

find_package(CURL QUIET)

if(FORCE_BUILD_VENDOR_PKG OR NOT CURL_FOUND)
  # System curl not found, build one locally.
  build_libcurl()

  if(WIN32)
    ament_environment_hooks(env_hook/libcurl_vendor_library_path.bat)
    set(ENV_VAR_NAME "PATH")
    set(ENV_VAR_VALUE "opt\\libcurl_vendor\\bin")
  else()
    ament_environment_hooks(env_hook/libcurl_vendor_library_path.sh)
    if(APPLE)
      set(ENV_VAR_NAME "DYLD_LIBRARY_PATH")
    else()
      set(ENV_VAR_NAME "LD_LIBRARY_PATH")
    endif()
    set(ENV_VAR_VALUE "opt/libcurl_vendor/lib")
  endif()
  ament_environment_hooks(env_hook/libcurl_vendor_library_path.dsv.in)
  set(CURL_FOUND FALSE)
endif()

ament_package(
  CONFIG_EXTRAS "libcurl_vendor-extras.cmake.in"
)

=== debian/changelog ===
ros-rolling-libcurl-vendor (3.0.0-1focal) focal; urgency=high

  * Update maintainers (#66 <https://github.com/ros/resource_retriever/issues/66>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-libcurl-vendor (2.5.0-1focal) focal; urgency=high

  * Update libcurl_vendor to the latest version (7.75.0). (#60 <https://github.com/ros/resource_retriever/issues/60>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-libcurl-vendor (2.4.2-1focal) focal; urgency=high

  * Add an override flag to force vendored build (#58 <https://github.com/ros/resource_retriever/issues/58>)
  * Contributors: Scott K Logan

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-libcurl-vendor (2.4.1-1focal) focal; urgency=high

  * Update maintainers (#53 <https://github.com/ros/resource_retriever/issues/53>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-libcurl-vendor (2.4.0-1focal) focal; urgency=high

  * bump curl version to 7.68 (#47 <https://github.com/ros/resource_retriever/issues/47>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Wed, 12 Aug 2020 07:00:00 -0000

ros-rolling-libcurl-vendor (2.3.2-1focal) focal; urgency=high

  * export TARGETS in libcurl_vendor (#46 <https://github.com/ros/resource_retriever/issues/46>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-libcurl-vendor (2.3.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-libcurl-vendor (2.3.0-1focal) focal; urgency=high

  * Ignore broken curl-config.cmake (#40 <https://github.com/ros/resource_retriever/issues/40>)
  * Update curl reference from 7.57 to 7.58 (#36 <https://github.com/ros/resource_retriever/issues/36>)
  * Contributors: Nathan Brooks, Scott K Logan

 -- William Woodall <william@osrfoundation.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-rolling-libcurl-vendor (2.2.0-1focal) focal; urgency=high

  * add .dsv file beside custom environment hook (#30 <https://github.com/ros/resource_retriever/issues/30>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-rolling-libcurl-vendor (2.1.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-rolling-libcurl-vendor (2.1.0-1focal) focal; urgency=high

  * depend on curl (mapping to curl, libcurl4-openssl-dev) for packaging (#25 <https://github.com/ros/resource_retriever/issues/25>)
  * add missing dependency on pkg-config (#19 <https://github.com/ros/resource_retriever/issues/19>)
  * [libcurl_vendor] convert to ament and setup env hooks for library paths (#14 <https://github.com/ros/resource_retriever/issues/14>)
  * Contributors: Dirk Thomas, Mikael Arguedas, William Woodall

 -- William Woodall <william@osrfoundation.org>  Thu, 21 Jun 2018 07:00:00 -0000

ros-rolling-libcurl-vendor (2.0.0-1focal) focal; urgency=high

  * disable docs and tests for libcurl to avoid needing perl
  * fix libcurl vendor package on Windows and warnings
  * add temporary libcurl_vendor and use it to get curl
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 08 Dec 2017 08:00:00 -0000

ros-rolling-libcurl-vendor (1.12.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 27 Mar 2017 07:00:00 -0000

ros-rolling-libcurl-vendor (1.12.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 10 Jun 2016 21:16:00 -0000

ros-rolling-libcurl-vendor (1.12.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 10 Jun 2016 17:28:00 -0000

ros-rolling-libcurl-vendor (1.12.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 07:00:00 -0000

ros-rolling-libcurl-vendor (1.11.6-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 30 Nov 2014 08:00:00 -0000

=== debian/control ===
Source: ros-rolling-libcurl-vendor
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), curl, libcurl4-openssl-dev, ros-rolling-ament-cmake, ros-rolling-ros-workspace
Homepage: https://github.com/curl/curl
Standards-Version: 3.9.2

Package: ros-rolling-libcurl-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, libcurl4-openssl-dev, pkg-config, ros-rolling-ros-workspace
Description: Wrapper around libcurl, it provides a fixed CMake module and an ExternalProject build of it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-libcurl-vendor//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-libcurl-vendor 3.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(libcurl_vendor C)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_vendor_package REQUIRED)

find_package(CURL QUIET)

ament_vendor(libcurl_vendor
  SATISFIED ${CURL_FOUND}
  VCS_URL https://github.com/curl/curl.git
  VCS_VERSION curl-7_81_0
  CMAKE_ARGS
    -DENABLE_MANUAL:BOOL=OFF
    -DCURL_ENABLE_SSL:BOOL=ON  # default, but just to make clear
    -DUSE_LIBIDN2:BOOL=OFF
)

ament_package(
  CONFIG_EXTRAS "libcurl_vendor-extras.cmake.in"
)

=== debian/changelog ===
ros-rolling-libcurl-vendor (3.3.1-1jammy) jammy; urgency=high

  * Switch to ament_cmake_vendor_package (#86 <https://github.com/ros/resource_retriever/issues/86>)
  * Contributors: Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-libcurl-vendor (3.3.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-libcurl-vendor (3.2.2-1jammy) jammy; urgency=high

  * merge libcurl_vendor build instructions (#81 <https://github.com/ros/resource_retriever/issues/81>)
  * Contributors: schrodinbug

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-libcurl-vendor (3.2.1-1jammy) jammy; urgency=high

  * Sets CMP0135 policy behavior to NEW (#79 <https://github.com/ros/resource_retriever/issues/79>)
  * Fixes policy CMP0135 warning for CMake >= 3.24
  * Contributors: Cristóbal Arroyo, Crola1702

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-libcurl-vendor (3.2.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 10 May 2022 00:00:00 -0000

ros-rolling-libcurl-vendor (3.1.0-1jammy) jammy; urgency=high

  * Update to curl 7.81. (#74 <https://github.com/ros/resource_retriever/issues/74>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-libcurl-vendor (3.0.0-1jammy) jammy; urgency=high

  * Update maintainers (#66 <https://github.com/ros/resource_retriever/issues/66>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-libcurl-vendor (2.5.0-1jammy) jammy; urgency=high

  * Update libcurl_vendor to the latest version (7.75.0). (#60 <https://github.com/ros/resource_retriever/issues/60>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-libcurl-vendor (2.4.2-1jammy) jammy; urgency=high

  * Add an override flag to force vendored build (#58 <https://github.com/ros/resource_retriever/issues/58>)
  * Contributors: Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-libcurl-vendor (2.4.1-1jammy) jammy; urgency=high

  * Update maintainers (#53 <https://github.com/ros/resource_retriever/issues/53>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-rolling-libcurl-vendor (2.4.0-1jammy) jammy; urgency=high

  * bump curl version to 7.68 (#47 <https://github.com/ros/resource_retriever/issues/47>)
  * Contributors: Dirk Thomas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 12 Aug 2020 00:00:00 -0000

ros-rolling-libcurl-vendor (2.3.2-1jammy) jammy; urgency=high

  * export TARGETS in libcurl_vendor (#46 <https://github.com/ros/resource_retriever/issues/46>)
  * Contributors: Dirk Thomas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-rolling-libcurl-vendor (2.3.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-rolling-libcurl-vendor (2.3.0-1jammy) jammy; urgency=high

  * Ignore broken curl-config.cmake (#40 <https://github.com/ros/resource_retriever/issues/40>)
  * Update curl reference from 7.57 to 7.58 (#36 <https://github.com/ros/resource_retriever/issues/36>)
  * Contributors: Nathan Brooks, Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-rolling-libcurl-vendor (2.2.0-1jammy) jammy; urgency=high

  * add .dsv file beside custom environment hook (#30 <https://github.com/ros/resource_retriever/issues/30>)
  * Contributors: Dirk Thomas

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 26 Sep 2019 00:00:00 -0000

ros-rolling-libcurl-vendor (2.1.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000

ros-rolling-libcurl-vendor (2.1.0-1jammy) jammy; urgency=high

  * depend on curl (mapping to curl, libcurl4-openssl-dev) for packaging (#25 <https://github.com/ros/resource_retriever/issues/25>)
  * add missing dependency on pkg-config (#19 <https://github.com/ros/resource_retriever/issues/19>)
  * [libcurl_vendor] convert to ament and setup env hooks for library paths (#14 <https://github.com/ros/resource_retriever/issues/14>)
  * Contributors: Dirk Thomas, Mikael Arguedas, William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 21 Jun 2018 00:00:00 -0000

ros-rolling-libcurl-vendor (2.0.0-1jammy) jammy; urgency=high

  * disable docs and tests for libcurl to avoid needing perl
  * fix libcurl vendor package on Windows and warnings
  * add temporary libcurl_vendor and use it to get curl
  * Contributors: William Woodall

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 Dec 2017 00:00:00 -0000

ros-rolling-libcurl-vendor (1.12.3-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 27 Mar 2017 00:00:00 -0000

ros-rolling-libcurl-vendor (1.12.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 10 Jun 2016 14:16:00 -0000

ros-rolling-libcurl-vendor (1.12.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 10 Jun 2016 10:28:00 -0000

ros-rolling-libcurl-vendor (1.12.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 23 Mar 2016 00:00:00 -0000

ros-rolling-libcurl-vendor (1.11.6-1jammy) jammy; urgency=high





=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), curl, libcurl4-openssl-dev, ros-rolling-ament-cmake, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), curl, file, libcurl4-openssl-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-vendor-package, ros-rolling-ros-workspace
 Homepage: https://github.com/curl/curl
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
